apiVersion: traefik.containo.us/v1alpha1
kind: Middleware
metadata:
  name: traefik-forward-auth
  namespace: kubetest
spec:
  forwardAuth:
    address: https://auth-resto1.novationmenu.com
    trustForwardHeader: true
    authResponseHeaders:
      - X-Forwarded-User
  redirectScheme:
    scheme: https
    permanent: true